com.holonplatform.vaadin7.components.builders

## Interface MultiPropertySelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseItemDataSourceComponentBuilder<MultiPropertySelectInputBuilder<T>>, BaseSelectInputBuilder<Set<T>,MultiSelect<T>,T,com.holonplatform.core.property.PropertyBox,MultiPropertySelectInputBuilder<T>>, BaseSelectInputBuilder.MultiSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,MultiPropertySelectInputBuilder<T>>, ComponentConfigurator<MultiPropertySelectInputBuilder<T>>, InputBuilder<Set<T>,MultiSelect<T>,MultiPropertySelectInputBuilder<T>>, InputConfigurator<Set<T>,MultiPropertySelectInputBuilder<T>>, PropertySelectInputBuilder<Set<T>,MultiSelect<T>,T,MultiPropertySelectInputBuilder<T>>

      public interface MultiPropertySelectInputBuilder<T>
      extends BaseSelectInputBuilder.MultiSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,MultiPropertySelectInputBuilder<T>>, PropertySelectInputBuilder<Set<T>,MultiSelect<T>,T,MultiPropertySelectInputBuilder<T>>

  Builder to create a multiple selection `Input` with `Property` data source support.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.PropertySelectInputBuilder

      `dataSource, dataSource, dataSource, dataSource, itemAdapter`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

Copyright © 2019 The Holon Platform. All rights reserved.